/*
 * Copyright 1994, 1995 Vectaport Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 */

#ifndef vpfedtile_h
#define vpfedtile_h

#include <VpfUnidraw/vpfeditor.h>

class Glyph;
class UList;
class VpfFeature;
class VpfTileVar;

class VpfTileEditor : public VpfEditor {
public:
    VpfTileEditor(int, VpfFeature**, VpfEditor*,
		  OverlayKit* = VpfTileKit::Instance());
    VpfTileEditor(boolean initflag, OverlayKit* = VpfTileKit::Instance());
    void Init(OverlayComp* = nil, const char* name = "VpfTileEditor");

    virtual void InitCommands();
    virtual int ntiles();
    virtual VpfFeature* tile(int);
    void InitStateVars();

protected:
    VpfEditor* _parent;
    VpfFeature** _tiles;
    int _ntiles;

friend VpfTileKit;
};

#endif
